#!/bin/sh

DATE="$(date -d '8 days ago' +%Y%m%d)"
HADOOP="/opt/apps/HADOOP-COMMON/hadoop-common-current/bin/hadoop"

path="/dw/recommend/model/feature/user/dt=${DATE}"
$HADOOP fs -test -e ${path}
if [ $? -eq 0 ]; then
    echo "${path} 数据存在, 删除。"
    $HADOOP fs -rm -r -skipTrash ${path}
else
    echo "${path} 数据不存在"
fi

path="/dw/recommend/model/feature/video/dt=${DATE}"
$HADOOP fs -test -e ${path}
if [ $? -eq 0 ]; then
    echo "${path} 数据存在, 删除。"
    $HADOOP fs -rm -r -skipTrash ${path}
else
    echo "${path} 数据不存在"
fi

path="/dw/recommend/model/00_sample_data/dt=${DATE}"
$HADOOP fs -test -e ${path}
if [ $? -eq 0 ]; then
    echo "${path} 数据存在, 删除。"
    $HADOOP fs -rm -r -skipTrash ${path}
else
    echo "${path} 数据不存在"
fi